Cyberduck Mountain Duck CLI

#6708 closed defect (fixed)

Attempt to rename folder does not send command to server

Reported by: hackstar Owned by:
Priority: high Milestone: 4.3
Component: core Version: 4.2.1
Severity: critical Keywords: rename directory
Cc: Architecture: Intel
Platform: Mac OS X 10.7

Description

Sometimes i cand't rename directory , log say :

SSH_FXP_REALPATH

SSH_FXP_NAME

/root

Version 4.2.2 (9527)

Change History (5)

comment:1 Changed on Jun 21, 2012 at 11:30:32 PM by https://me.yahoo.com/a/MEF.mt8Wrvkr.6h_ggbb1KgE3vyyJ9fNcg--#c9ff3

I have a very similar issue, occurring for quite some time. OSX v4.2.1 (9350)

I think considering it a "core" issue is relevant because the issue also affects the toolbar commands like Refresh and is not resolved by logging out and back in to the FTP server, it is only resolved after I quit Cyberduck and restart.

After uploading a folder with multiple files, all further folder renaming attempts for any preexisting or new folder in the list result in the following log:

NOOP
200 Zzz...

Attempting to rename a file works as expected, but folders continue to be immune.

Logging out and back in to the FTP server during the same Cyberduck session changes nothing. Quitting and restarting Cyberduck and attempting the same rename result in the following log:

NOOP
200 Zzz...
NOOP
200 Zzz...
RNFR /www/foo/bar
350 RNFR accepted - file exists, ready for destination
RNTO /www/foo/bar2
250 File successfully renamed or moved
NOOP
200 Zzz...

Other server info, may or may not be relevant:

220---------- Welcome to Pure-FTPd [privsep] [TLS] ----------
...
FEAT
211-Extensions supported:
 EPRT
 IDLE
 MDTM
 SIZE
 MFMT
 REST STREAM
 MLST type*;size*;sizd*;modify*;UNIX.mode*;UNIX.uid*;UNIX.gid*;unique*;
 MLSD
 AUTH TLS
 PBSZ
 PROT
 ESTA
 PASV
 EPSV
 SPSV
 ESTP
Last edited on Jun 21, 2012 at 11:31:54 PM by https://me.yahoo.com/a/MEF.mt8Wrvkr.6h_ggbb1KgE3vyyJ9fNcg--#c9ff3 (previous) (diff)

comment:2 follow-up: Changed on Aug 20, 2012 at 7:32:05 PM by aclerkin

I'm likewise getting a similar issue over WebDav, so perhaps this isn't an FTP-specific issue. Here's my log:

MKCOL /dav/euf/development/widgets/CustomKeywordText/ HTTP/1.1 Content-Type: text/xml; charset=utf-8 Content-Length: 0 Host: openclass.custhelp.com Connection: Keep-Alive User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86) Authorization: Basic QXVzdGluOkp1c3RpY2U0YWxs HTTP/1.1 403 Forbidden Date: Mon, 20 Aug 2012 19:31:26 GMT Server: Apache X-WebDAV-Status: 403 Forbidden Cache-Control: max-age=900 Expires: Mon, 20 Aug 2012 19:46:26 GMT RNT-Time: D=373693 t=1345491086481926 RNT-Machine: 0.81 Vary: Accept-Encoding Content-Encoding: gzip Content-Length: 20 Keep-Alive: timeout=15, max=75 Connection: Keep-Alive Content-Type: text/html; charset=UTF-8

Version 0, edited on Aug 20, 2012 at 7:32:05 PM by aclerkin (next)

comment:3 Changed on Aug 20, 2012 at 8:36:30 PM by dkocher

  • Summary changed from #6571 (Unable to rename folder on server) to Attempt to rename folder does not send command to server

comment:4 in reply to: ↑ 2 Changed on Aug 20, 2012 at 8:37:14 PM by dkocher

Replying to aclerkin:

I'm likewise getting a similar issue over WebDav, so perhaps this isn't an FTP-specific issue. Here's my log:

This is a different issue with missing permissions on the server for the user logged in.

comment:5 Changed on Oct 4, 2012 at 12:45:57 PM by dkocher

  • Milestone set to 4.2.2
  • Resolution set to fixed
  • Status changed from new to closed

In r9839.

Note: See TracTickets for help on using tickets.
swiss made software